XOOPS 是一個高度可擴充、具物件導向、且易於使用的動態網站內容管理系統(CMS),採用 PHP 語言來設計。XOOPS 十分適合用於發展小型至大型的動態社群網站、內部 Intranet 網站、入口網站、並且可用來做為 WEB LOG 使用。
本站是 XOOPS 正體中文延伸計劃網站,以推廣 XOOPS 於正體中文環境的應用為宗旨。我們希望 XOOPS 的發展能深入而嚴謹、功能越來越強大、但安全性更佳,最重要的是能永久保持其積極而開放的特色(易取易用)。
在您開始使用本站資源前 請先詳看本站的免責聲明並且請您在發出提問前事先利用搜尋功能查詢是否已有解答;提問時也請注意盡量詳述問題狀況,如無法利用語意明確表達也請提出網址以及測試帳號。竭誠的歡迎每位有經驗可以回覆提問的網友多多協助幫忙解惑,在此感謝所有對 XOOPS 有貢獻的人。
註冊新會員登入 XOOPS 完整檔 XOOPS 升級檔
到底部
討論區

搜尋

1httpd.exe有漏洞
2012/11/27 4:17

mazui

高級會員
個人資訊
註冊日期2005/08/ 4
所屬群組    註冊會員
文章   77
等級第7級
EXP:71
HP:0/167
MP:25/5750
最近我用防毒軟體掃瞄自己電腦時發現 C:/Apache2.2/AppServ/bin下面的httpd.exe有漏洞

我的伺服器與資料庫版本如附圖 請問各為先進 我該怎麼做才好?!

jpg Apache.jpg (76.67 KB)
2052_50b3ce256006d.jpg 575X505 px
打印此帖
回頂部 舉報
2回覆: httpd.exe有漏洞
2012/11/27 13:31

waterlily

管理員
個人資訊
註冊日期2008/07/ 4
所屬群組    註冊會員
   網站管理員
文章   2013
來自   池水間
等級第37級
EXP:6
HP:180/901
MP:671/23209
請問如果沒有漏洞
用 AppServ 2.6 這麼高的非正式版( PHP 6 dev 版 + MySQL 6 alpha 版 )
在 XOOPS 2.5.* 版之下尚且如此
就算您已能安裝 XOOPS
但就不保證各模組可在 PHP 6 + MySQL 6 下正常執行了
主頁:睡蓮‧池水間(支援Android4.0+及iOS5+)|論壇:風起漣漪|作品區:軒榭亭臺
打印此帖
回頂部 舉報
3回覆: httpd.exe有漏洞
2012/11/28 10:06

oncefull

中級會員
個人資訊
註冊日期2007/01/15
所屬群組    註冊會員
文章   48
等級第5級
EXP:75
HP:0/118
MP:16/3567
補充管理員的說明:
通常我們安裝軟體都會越高版本越好,但是appserv並不是如此。
appserv有分為兩種版本,一種是穩定版,另外一種是實驗版!

AppServ 2.6.0 第一個數字2代表 這是apache2的版本 第二個數字6為偶數 代表實驗版本 後面的0代表 這個系列版本的 第幾版
AppServ 2.5.10 第一個數字同上 第二個數字為單數 代表穩定版 你應該要去下載這個版本

在正式運作網站的時候,你不可能會去用不穩定的偶數編號實驗版本 所以你要去更換wamp系統為AppServ 2.5.10
另外 你可以到http://www.tad0616.net/ tad教材網 點選上方的教材 一步一步跟著實做
新手通常會建議使用XAMPP 比較快入手

架站環境
linux
Apache 2.2.4
PHP 5.2.3
MySQL 5.0.45
phpMyAdmin-2.10.2
打印此帖
回頂部 舉報
4回覆: httpd.exe有漏洞
2012/11/28 16:50

mazui

高級會員
個人資訊
註冊日期2005/08/ 4
所屬群組    註冊會員
文章   77
等級第7級
EXP:71
HP:0/167
MP:25/5750
AppServ 2.5.10也一樣有漏洞 我用最新版的卡巴斯基掃過了

我原來是裝AppServ 2.5.10 發現有漏洞後 想說既然這樣 就換一個比較新版的試試看

哪知裝好AppServ 2.6一掃也同樣有漏洞
打印此帖
回頂部 舉報
5回覆: httpd.exe有漏洞
2012/11/28 18:48

oncefull

中級會員
個人資訊
註冊日期2007/01/15
所屬群組    註冊會員
文章   48
等級第5級
EXP:75
HP:0/118
MP:16/3567
1.伺服器有沒有漏洞 並不是用 掃毒軟體 例如卡巴斯基去偵測的
2.apserv架設網站 確實會有漏洞 但並不是 httpd.exe那個執行檔,你可以在google打"apserv 漏洞"搜尋相關設定
3.如果你自己要架設對外公開網站,個人建議自己用linux安全性會比較高,記憶體也穩定許多
4.網站有無異常被攻擊狀況,請養成常看log檔案的習慣,觀看log檔內有沒被哪些ip攻擊

架站環境
linux
Apache 2.2.4
PHP 5.2.3
MySQL 5.0.45
phpMyAdmin-2.10.2
打印此帖
回頂部 舉報
6回覆: httpd.exe有漏洞
2012/11/29 0:08

waterlily

管理員
個人資訊
註冊日期2008/07/ 4
所屬群組    註冊會員
   網站管理員
文章   2013
來自   池水間
等級第37級
EXP:6
HP:180/901
MP:671/23209
其實您還可以有別的伺服器選擇呢
不一定非 AppServ 不可吧?
早期架 XOOPS 時用 AppServ 的確比較多
但時移勢易
近幾年用的則以 Xampp 較多
雖然我不是用 AppServ 也不是用 Xampp
但用的好好的
越用越愛
就不作它想了
主頁:睡蓮‧池水間(支援Android4.0+及iOS5+)|論壇:風起漣漪|作品區:軒榭亭臺
打印此帖
回頂部 舉報
觀看
發新主題
回覆
編輯
刪除
發新投票
投票
上傳
不經審核

*背景色的亮與暗為提示當前的使用權限。亮色為可以;暗色為不可以。

*編輯、刪除此兩項有時效限制,當有權限而帖子右下方看不見此兩項按鈕時,表示時效已過。

回頂部 前一個主題 下一個主題
網站佈景

(共 2 個樣板佈景)

誰在線上
更多…

會員: 0 | 訪客: 7

7人在線上
(4人在瀏覽討論區)

登入X

帳號:

密碼:

記住我

忘記密碼嗎?請在下方填寫註冊時的電郵地址,以便取得新密碼。